Skip to main content
GET
/
workflows
/
executions
/
resumable
List executions suspended at a human-in-the-loop step for a workflow
curl --request GET \
  --url https://api.artu.ai/workflows/executions/resumable \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggerType": "<string>",
      "createdAt": "<string>",
      "currentNodeId": "<string>",
      "initiatedBy": "<string>",
      "initiatedByMe": true
    }
  ],
  "mineTotal": 4503599627370495,
  "allTotal": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Query Parameters

workflowId
string<uuid>
required
initiatedBy
enum<string>
default:me
Available options:
me,
all

Response

200 - application/json

OK

items
object[]
required
mineTotal
integer
required
Required range: 0 <= x <= 9007199254740991
allTotal
integer
required
Required range: 0 <= x <= 9007199254740991